Subject: bug#60064: adding ansi-color faces for themes that do not have them

From: Akib Azmain Turja <[email-masked]>
Date: Thu, 15 Dec 2022 21:54:46 +0600

Yilkal Argaw <[email-masked]> writes:

> Shell and Eshell in emacs inherit from ansi-colors which affects how output
> from command line programs that make use of them. While many of the themes
> included with emacs define faces for them, others do not. Specifically
> adwaita, deeper-blue, light-blue, manoj-dark, tsdh-dark, tsdh-light,
> wheatgrass and whiteboard themes. This makes output from terminal
> applications that make use of ansi-colors look awkward or hard to read when
> using those themes(i.e. in shell or eshell). Is it possible to enforce
> definitions for ansi-colors at least in the themes that are included with
> emacs. Because interaction with the shells is an essential part of using
> emacs for so many people.
>
> With Regards
> Yilkal
>
> ps. I  raised this topic on the dev mailing list and was directed to file a
> bug report so it can be tracked.

Third party terminal emulator are also affected, for example Coterm,
Eat, Vterm.

-- 
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: [email-masked]
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."